Comment 26 for bug 2004618

Revision history for this message
Mustafa Kemal Gilor (mustafakemalgilor) wrote :

In addition to the verification that Joao has made, I also verified that the proposed virt-install works as intended for both the old(ovmf<=0~20191122.bd85bf54-2ubuntu3.3) and the new ovmf(>=0~20191122.bd85bf54-2ubuntu3.4) OVMF versions:

Test patch:

diff --git a/debian/tests/control b/debian/tests/control
index 8d84dc8..8e526b0 100644
--- a/debian/tests/control
+++ b/debian/tests/control
@@ -7,3 +7,11 @@ Restrictions: superficial
 Depends: virt-manager,
  xvfb,
  xauth,
+
+Test-Command: bash debian/tests/virt-manager-uefi-img-ovmf.sh "--allow-downgrades install ovmf=0~20191122.bd85bf54-2ubuntu3.3" "OVMF_CODE.fd"
+Restrictions: superficial, needs-root
+Depends: @
+
+Test-Command: bash debian/tests/virt-manager-uefi-img-ovmf.sh "satisfy ovmf(>=0~20191122.bd85bf54-2ubuntu3.4)" "OVMF_CODE_4M.fd"
+Restrictions: superficial, needs-root
+Depends: @
\ No newline at end of file
diff --git a/debian/tests/virt-manager-uefi-img-ovmf.sh b/debian/tests/virt-manager-uefi-img-ovmf.sh
new file mode 100644
index 0000000..e92078b
--- /dev/null
+++ b/debian/tests/virt-manager-uefi-img-ovmf.sh
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+set -e
+
+sudo DEBIAN_FRONTEND=noninteractive apt-get -y --allow-downgrades install libvirt-daemon-system qemu-system-x86
+sudo DEBIAN_FRONTEND=noninteractive apt-get -y $1
+sudo systemctl restart libvirtd # restart libvirtd to make it pick up the new fw descriptor file
+virt-install --name focal-post-v --boot uefi --ram 128 --vcpus 1 --machine q35 --graphics none --disk none --print-xml | grep "OVMF"
+virt-install --name focal-post-v --boot uefi --ram 128 --vcpus 1 --machine q35 --graphics none --disk none --print-xml | grep "/usr/share/OVMF/$2"

Results:

dpkg: warning: downgrading ovmf from 0~20191122.bd85bf54-2ubuntu3.4 to 0~20191122.bd85bf54-2ubuntu3.3
(Reading database ... 119733 files and directories currently installed.)
Preparing to unpack .../ovmf_0~20191122.bd85bf54-2ubuntu3.3_all.deb ...
Unpacking ovmf (0~20191122.bd85bf54-2ubuntu3.3) over (0~20191122.bd85bf54-2ubuntu3.4) ...
Setting up ovmf (0~20191122.bd85bf54-2ubuntu3.3) ...
    <loader readonly="yes" type="pflash">/usr/share/OVMF/OVMF_CODE.fd</loader>
    <loader readonly="yes" type="pflash">/usr/share/OVMF/OVMF_CODE.fd</loader>
autopkgtest [11:10:02]: test command1: -----------------------]
autopkgtest [11:10:03]: test command1: - - - - - - - - - - results - - - - - - - - - -
command1 PASS (superficial)
autopkgtest [11:10:03]: test command2: preparing testbed
autopkgtest [11:10:11]: test command2: bash debian/tests/virt-manager-uefi-img-ovmf.sh "satisfy ovmf(>=0~20191122.bd85bf54-2ubuntu3.4)" "OVMF_CODE_4M.fd"
autopkgtest [11:10:11]: test command2: [-----------------------
Unpacking ovmf (0~20191122.bd85bf54-2ubuntu3.4) over (0~20191122.bd85bf54-2ubuntu3.3) ...
Setting up ovmf (0~20191122.bd85bf54-2ubuntu3.4) ...
    <loader readonly="yes" type="pflash">/usr/share/OVMF/OVMF_CODE_4M.fd</loader>
    <loader readonly="yes" type="pflash">/usr/share/OVMF/OVMF_CODE_4M.fd</loader>
autopkgtest [11:10:13]: test command2: -----------------------]
command2 PASS (superficial)
autopkgtest [11:10:14]: test command2: - - - - - - - - - - results - - - - - - - - - -
autopkgtest [11:10:14]: @@@@@@@@@@@@@@@@@@@@ summary
help.sh PASS (superficial)
virt-manager.sh PASS (superficial)
command1 PASS (superficial)
command2 PASS (superficial)
qemu-system-x86_64: terminating on signal 15 from pid 95530 (/usr/bin/python3)